XBEE_CONPURGE(3)

NAME
xbee_conPurge

SYNOPSIS
#include <xbee.h>

xbee_err xbee_conPurge(struct xbee_con *con);

DESCRIPTION
xbee_conPurge() allows you to discard ALL packets that are currently queued for a connection.

This function call has no effect if callbacks are enabled for the given connection.

  Return Value
On success these functions will return XBEE_ENONE, otherwise an error number from enum xbee_errors (as specified in <xbee.h>)

EXAMPLE
#include <xbee.h>
struct xbee *xbee;
struct xbee_con *con;
/* initialize xbee, using xbee_setup() */
/* initialize con, using xbee_conNew() */
if (xbee_conPurge(con) != XBEE_ENONE) return;

AUTHOR
Attie Grande <attie@attie.co.uk>

SEE ALSO
libxbee(3), xbee_setup(3), xbee_conNew(3)